Debian Bug report logs - #469328
torus-trooper: claims to be a transient window

version graph

Package: libsdl1.2debian; Maintainer for libsdl1.2debian is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>; Source for libsdl1.2debian is src:libsdl1.2.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Tue, 4 Mar 2008 17:39:01 UTC

Severity: normal

Found in version libsdl1.2/1.2.13-2

Fixed in version 1.2.15-1

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Support 5:3 aspect ratio
Date: Wed, 5 Mar 2008 04:38:18 +1100
Package: torus-trooper
Version: 0.22.dfsg1-2
Severity: wishlist

I was disappointed to find that running Torus Trooper on my new eeePC
(which has an 800x480 pixel screen) results in unused space on each
side of the full-screen window.  I guess that currently Torus Trooper
is hard-coded to a 4:3 aspect ratio, whereas my screen is 5:3.

I wish Torus Trooper supported a 5:3 aspect ratio on 5:3 screens (and
more generally, supported arbitrary aspect ratios).


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages torus-trooper depends on:
ii  libbulletml0d1         0.0.6-2           C++ library to handle BulletML eas
ii  libc6                  2.7-6             GNU C Library: Shared libraries
ii  libgcc1                1:4.3-20080202-1  GCC support library
ii  libgl1-mesa-glx [libgl 7.0.2-4           A free implementation of the OpenG
ii  libglu1-mesa [libglu1] 7.0.2-4           The OpenGL utility library (GLU)
ii  libsdl-mixer1.2        1.2.8-3           mixer library for Simple DirectMed
ii  libsdl1.2debian        1.2.13-2          Simple DirectMedia Layer
ii  torus-trooper-data     0.22.dfsg1-2      speeding ship sailing through barr
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

torus-trooper recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to Bruno Kleinert <fuddl@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 469328@bugs.debian.org (full text, mbox):

From: Bruno Kleinert <fuddl@tauware.de>
To: "Trent W. Buck" <trentbuck@gmail.com>, 469328@bugs.debian.org
Subject: Re: Bug#469328: Support 5:3 aspect ratio
Date: Tue, 4 Mar 2008 19:01:01 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, Trent W. Buck wrote:
> side of the full-screen window.  I guess that currently Torus Trooper
> is hard-coded to a 4:3 aspect ratio, whereas my screen is 5:3.
> 
> I wish Torus Trooper supported a 5:3 aspect ratio on 5:3 screens (and
> more generally, supported arbitrary aspect ratios).

hi,

have you had a look at the torus-trooper man-page? the command line
parameters "-res x y" and/or "-window" will probably be of your
interest:

[...]
-res x y
       Set the screen resolution to (x, y).
[...]
-window
       Launch the game in a window.
[...]

so torus-trooper is not limited to a special resolution, you
simply can't chose/change "inside" torus-trooper. when running in
windowed mode, you can resize the window freely.

tell me if this helped you out, so i can close this bug.

cheers - fuddl
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 469328@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: "Trent W. Buck" <trentbuck@gmail.com>, 469328@bugs.debian.org
Subject: RE: Bug#469328: Support 5:3 aspect ratio
Date: Tue, 4 Mar 2008 19:27:24 +0100 (CET)
--- "Trent W. Buck" <trentbuck@gmail.com> escribió:

> Package: torus-trooper
> Version: 0.22.dfsg1-2
> Severity: wishlist
> 
> I was disappointed to find that running Torus Trooper on my new eeePC
> (which has an 800x480 pixel screen) results in unused space on each
> side of the full-screen window.  I guess that currently Torus Trooper
> is hard-coded to a 4:3 aspect ratio, whereas my screen is 5:3.
> 
> I wish Torus Trooper supported a 5:3 aspect ratio on 5:3 screens (and
> more generally, supported arbitrary aspect ratios).

You're right, the original game is designed for 4:3 and, even though it
supports resizing, the visual result is suboptimal.

The big question is how to change the appearance without changing the game
itself.

Thanks for the bug report,
Miry



      ______________________________________________ 
¿Con Mascota por primera vez? Sé un mejor Amigo. Entra en Yahoo! Respuestas http://es.answers.yahoo.com/info/welcome




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 469328@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Bruno Kleinert <fuddl@tauware.de>
Cc: 469328@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#469328: Support 5:3 aspect ratio
Date: Wed, 5 Mar 2008 05:33:57 +1100
[Message part 1 (text/plain, inline)]
retitle 469328 torus-trooper: claims to be a transient window
severity 469328 normal
thank you

On Tue, Mar 04, 2008 at 07:01:01PM +0100, Bruno Kleinert wrote:
>> I wish Torus Trooper supported a 5:3 aspect ratio on 5:3 screens (and
>> more generally, supported arbitrary aspect ratios).
> 
> -res x y
>        Set the screen resolution to (x, y).
>
> [...] when running in windowed mode, you can resize the window
> freely.

Upon further investigation, I find that torus-trooper uses 800x480 is
told to (by -res), and if I tell my window manager to resize the
window.

The real cause of the problem is that torus-trooper claims to be a
"transient" window (i.e. a popup dialog, not an application window):

    WM_TRANSIENT_FOR(WINDOW): window id # 0x0

My window manager makes normal windows full-screen, but gives
transient windows the size they request -- in torus-trooper's case,
this is apparently 640x480 (unless overridden by -res).

So I think the it's wrong for torus-trooper to claim to be a transient
window.  I've retitled the bug accordingly.

Reference: ICCCM §4.1.2.6 (in the xspecs package).
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `torus-trooper: claims to be a transient window' from `Support 5:3 aspect ratio'. Request was from "Trent W. Buck" <trentbuck@gmail.com> to control@bugs.debian.org. (Tue, 04 Mar 2008 18:36:09 GMT) Full text and rfc822 format available.

Severity set to `normal' from `wishlist' Request was from "Trent W. Buck" <trentbuck@gmail.com> to control@bugs.debian.org. (Tue, 04 Mar 2008 18:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 469328@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Miriam Ruiz <little_miry@yahoo.es>
Cc: 469328@bugs.debian.org
Subject: Re: Bug#469328: Support 5:3 aspect ratio
Date: Wed, 5 Mar 2008 05:36:42 +1100
[Message part 1 (text/plain, inline)]
On Tue, Mar 04, 2008 at 07:27:24PM +0100, Miriam Ruiz wrote:
> You're right, the original game is designed for 4:3 and, even though
> it supports resizing, the visual result is suboptimal.  The big
> question is how to change the appearance without changing the game
> itself.

Well, it seemed to me the easiest would be to just have the bits on
the sides black on a widescreen, the same as if you watch a 4:3 TV
show on a widescreen.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to "Peter De Wachter" <pdewacht@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 469328@bugs.debian.org (full text, mbox):

From: "Peter De Wachter" <pdewacht@gmail.com>
To: "Trent W. Buck" <trentbuck@gmail.com>, 469328@bugs.debian.org
Subject: Re: Bug#469328: Support 5:3 aspect ratio
Date: Tue, 04 Mar 2008 22:16:17 +0100
At Wed, 5 Mar 2008 05:33:57 +1100, Trent W. Buck wrote:
> Upon further investigation, I find that torus-trooper uses 800x480 is
> told to (by -res), and if I tell my window manager to resize the
> window.
> 
> The real cause of the problem is that torus-trooper claims to be a
> "transient" window (i.e. a popup dialog, not an application window):
> 
>     WM_TRANSIENT_FOR(WINDOW): window id # 0x0
> 
> My window manager makes normal windows full-screen, but gives
> transient windows the size they request -- in torus-trooper's case,
> this is apparently 640x480 (unless overridden by -res).
> 
> So I think the it's wrong for torus-trooper to claim to be a transient
> window.  I've retitled the bug accordingly.

Well, torus-trooper does not directly use X, so this must be a bug in
libsdl. Do you have the same problem with other games? (For what it's
worth, I couldn't reproduce this locally.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #39 received at 469328@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Peter De Wachter <pdewacht@gmail.com>
Cc: 469328@bugs.debian.org
Subject: Re: Bug#469328: Support 5:3 aspect ratio
Date: Wed, 5 Mar 2008 08:32:43 +1100
On Tue, Mar 04, 2008 at 10:16:17PM +0100, Peter De Wachter wrote:
>> So I think the it's wrong for torus-trooper to claim to be a
>> transient window.  I've retitled the bug accordingly.
>
> Well, torus-trooper does not directly use X, so this must be a bug in
> libsdl. Do you have the same problem with other games?

Hmm, apparently so.  Looking at `aptitude search ~i~Dlibsdl1.2debian`,
I tested torus-trooper, foobillard, tumiki-fighters and xmoto.  All of
them had the following line in xprop output:

    WM_TRANSIENT_FOR(WINDOW): window id # 0x0

Do you know which sdl package I should reassign this bug to?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#469328; Package torus-trooper. Full text and rfc822 format available.

Acknowledgement sent to "Peter De Wachter" <pdewacht@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #44 received at 469328@bugs.debian.org (full text, mbox):

From: "Peter De Wachter" <pdewacht@gmail.com>
To: "Trent W. Buck" <trentbuck@gmail.com>
Cc: 469328@bugs.debian.org
Subject: Re: Bug#469328: Support 5:3 aspect ratio
Date: Tue, 04 Mar 2008 22:54:12 +0100
At Wed, 5 Mar 2008 08:32:43 +1100, Trent W. Buck wrote:
> Hmm, apparently so.  Looking at `aptitude search ~i~Dlibsdl1.2debian`,
> I tested torus-trooper, foobillard, tumiki-fighters and xmoto.  All of
> them had the following line in xprop output:
> 
>     WM_TRANSIENT_FOR(WINDOW): window id # 0x0
> 
> Do you know which sdl package I should reassign this bug to?

The libsdl1.2-debian meta package seems to be the best place, given
that this does not depend on the sound driver.




Bug reassigned from package `torus-trooper' to `libsdl1.2debian'. Request was from twb@cyber.com.au (Trent W. Buck) to control@bugs.debian.org. (Tue, 04 Mar 2008 22:03:07 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 19:12:13 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:12:13 GMT) Full text and rfc822 format available.

Message #51 received at 469328-done@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 469328-done@bugs.debian.org
Subject: Re: torus-trooper: claims to be a transient window
Date: Sun, 4 Mar 2012 19:08:29 +0000
Version: 1.2.15-1

Hello,

Thank you for your interest in improving Debian, and sorry to keep the
bug unattended for so long.  There's now an effort to review the open
bugs related with SDL packages.

This has been fixed, according to the information in the following URLs:
http://bugzilla.libsdl.org/show_bug.cgi?id=1015
http://hg.libsdl.org/SDL/annotate/4deaba8b1b42/src/video/x11/SDL_x11video.c

(This bug report is explicitly mentioned in the upstream bug report)

This was released with 1.2.15-1, so I think that it's safe to close
the bug report now.  Please reopen if you still experience problems
related with this.


Regards.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:35:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:09:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.